# Generated by Django 5.1.2 on 2025-03-18 07:01

import django.contrib.auth.models
import django.contrib.auth.validators
import django.core.validators
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('name', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator(message='Name can only contain letters, numbers, and characters (., _, -)', regex='^[a-zA-Z0-9._-]+$')])),
                ('date_of_birth', models.DateField()),
                ('phone_number', models.CharField(max_length=15, validators=[django.core.validators.RegexValidator(message='Phone number must be in format: country code-number (e.g., 62-12345678)', regex='^[0-9]{2,3}-[0-9]{5,12}$'), django.core.validators.MinLengthValidator(8, 'Phone number must be at least 8 characters'), django.core.validators.MaxLengthValidator(15, 'Phone number must not exceed 15 characters')])),
                ('email', models.EmailField(max_length=255)),
                ('blog_url', models.URLField(max_length=255)),
                ('self_description', models.TextField(validators=[django.core.validators.MinLengthValidator(5, 'Description must be at least 5 characters'), django.core.validators.MaxLengthValidator(1000, 'Description must not exceed 1000 characters')])),
                ('entry_year', models.IntegerField(validators=[django.core.validators.MinValueValidator(1900, 'Year must be at least 1900'), django.core.validators.MaxValueValidator(2025, 'Year cannot be greater than 2025')])),
                ('study_program_code', models.CharField(max_length=8, validators=[django.core.validators.RegexValidator(message='Study program code must start with 3 uppercase letters followed by 5 digits', regex='^[A-Z]{3}[0-9]{5}$')])),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
