# Generated by Django 5.1.2 on 2025-03-18 18:11

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='user',
            name='entry_year',
            field=models.IntegerField(validators=[django.core.validators.MinValueValidator(1900, 'Tahun minimal adalah 1900'), django.core.validators.MaxValueValidator(2025, 'Tahun tidak boleh lebih dari 2025')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='name',
            field=models.CharField(max_length=255, validators=[django.core.validators.RegexValidator(message='Nama hanya boleh berisi huruf, angka, dan karakter (., _, -)', regex='^[a-zA-Z0-9._-]+$')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='phone_number',
            field=models.CharField(max_length=15, validators=[django.core.validators.RegexValidator(message='Nomor HP harus dalam format: kode negara-nomor telepon (contoh: 62-12345678)', regex='^[0-9]{2,3}-[0-9]{5,12}$'), django.core.validators.MinLengthValidator(8, 'Nomor HP minimal harus 8 karakter'), django.core.validators.MaxLengthValidator(15, 'Nomor HP tidak boleh lebih dari 15 karakter')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='self_description',
            field=models.TextField(validators=[django.core.validators.MinLengthValidator(5, 'Deskripsi diri minimal 5 karakter'), django.core.validators.MaxLengthValidator(1000, 'Deskripsi diri maksimal 1000 karakter')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='study_program_code',
            field=models.CharField(max_length=8, validators=[django.core.validators.RegexValidator(message='Kode program studi harus dimulai dengan 3 huruf kapital diikuti oleh 5 digit', regex='^[A-Z]{3}[0-9]{5}$')]),
        ),
    ]
