from django.shortcuts import render, redirect
from django.contrib import messages
from .forms import UserRegistrationForm

def register(request):
    if request.method == 'POST':
        form = UserRegistrationForm(request.POST)
        if form.is_valid():
            user_data = form.cleaned_data
            # Hapus field password dari output untuk keamanan
            if 'password' in user_data:
                del user_data['password']
            return render(request, 'success.html', {'user_data': user_data})
    else:
        form = UserRegistrationForm()
    
    return render(request, 'register.html', {'form': form})